PLplot: octave_swig_ref Class Reference

PLplot 5.15.0

Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
octave_swig_ref Class Reference
Inheritance diagram for octave_swig_ref:

## Public Member Functions
| octave_swig_ref (octave_swig_type *_ptr=0)
| ~octave_swig_ref ()
octave_swig_type * | get_ptr () const
octave_base_value * | clone () const
octave_base_value * | empty_clone () const
dim_vector | dims (void) const
bool | is_defined () const
virtual bool | is_map () const
virtual octave_value | subsref (const std::string &ops, const std::list< octave_value_list > &idx)
virtual octave_value_list | subsref (const std::string &ops, const std::list< octave_value_list > &idx, int nargout)
octave_value | subsasgn (const std::string &ops, const std::list< octave_value_list > &idx, const octave_value &rhs)
virtual bool | is_object () const
virtual bool | is_string () const
virtual std::string | string_value (bool force=false) const
virtual double | scalar_value (bool frc_str_conv=false) const
virtual Octave_map | map_value () const
virtual string_vector | map_keys () const
virtual bool | save_ascii (std::ostream &os)
virtual bool | load_ascii (std::istream &is)
virtual bool | save_binary (std::ostream &os, bool &save_as_floats)
virtual bool | load_binary (std::istream &is, bool swap, oct_mach_info::float_format fmt)
virtual octave_value | convert_to_str (bool pad=false, bool force=false, char type='"') const
virtual octave_value | convert_to_str_internal (bool pad, bool force, char type) const
void | print (std::ostream &os, bool pr_as_read_syntax=false) const
virtual type_conv_info | numeric_conversion_function (void) const

## Static Private Member Functions
static octave_base_value * | default_numeric_conversion_function (const octave_base_value &a)

## Private Attributes
octave_swig_type * | ptr
| DECLARE_OCTAVE_ALLOCATOR
| DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA

## Detailed Description

Definition at line 1932 of file plplot_octaveOCTAVE_wrap.cxx.

## Constructor & Destructor Documentation

## ◆ octave_swig_ref()

octave_swig_ref::octave_swig_ref | ( | octave_swig_type * | _ptr = `0` | ) |
| inline

Definition at line 1935 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ ~octave_swig_ref()

octave_swig_ref::~octave_swig_ref | ( |  | ) |
| inline

Definition at line 1938 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Function Documentation

## ◆ clone()

octave_base_value* octave_swig_ref::clone | ( |  | ) | const
| inline

Definition at line 1944 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ convert_to_str()

virtual octave_value octave_swig_ref::convert_to_str | ( | bool | pad = `false`,
|  | bool | force = `false`,
|  | char | type = `'"'`
| ) |  | const
| inlinevirtual

Definition at line 2037 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ convert_to_str_internal()

virtual octave_value octave_swig_ref::convert_to_str_internal | ( | bool | pad,
|  | bool | force,
|  | char | type
| ) |  | const
| inlinevirtual

Definition at line 2040 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ default_numeric_conversion_function()

static octave_base_value* octave_swig_ref::default_numeric_conversion_function | ( | const octave_base_value & | a | ) |
| inlinestaticprivate

Definition at line 2056 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ dims()

dim_vector octave_swig_ref::dims | ( | void |  | ) | const
| inline

Definition at line 1950 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ empty_clone()

octave_base_value* octave_swig_ref::empty_clone | ( |  | ) | const
| inline

Definition at line 1947 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ get_ptr()

octave_swig_type* octave_swig_ref::get_ptr | ( |  | ) | const
| inline

Definition at line 1941 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_defined()

bool octave_swig_ref::is_defined | ( |  | ) | const
| inline

Definition at line 1953 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_map()

virtual bool octave_swig_ref::is_map | ( |  | ) | const
| inlinevirtual

Definition at line 1956 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_object()

virtual bool octave_swig_ref::is_object | ( |  | ) | const
| inlinevirtual

Definition at line 1968 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ is_string()

virtual bool octave_swig_ref::is_string | ( |  | ) | const
| inlinevirtual

Definition at line 1971 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ load_ascii()

virtual bool octave_swig_ref::load_ascii | ( | std::istream & | is | ) |
| inlinevirtual

Definition at line 2007 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ load_binary()

virtual bool octave_swig_ref::load_binary | ( | std::istream & | is,
|  | bool | swap,
|  | oct_mach_info::float_format | fmt
| ) |  |
| inlinevirtual

Definition at line 2013 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ map_keys()

virtual string_vector octave_swig_ref::map_keys | ( |  | ) | const
| inlinevirtual

Definition at line 2001 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ map_value()

virtual Octave_map octave_swig_ref::map_value | ( |  | ) | const
| inlinevirtual

Definition at line 1997 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ numeric_conversion_function()

virtual type_conv_info octave_swig_ref::numeric_conversion_function | ( | void |  | ) | const
| inlinevirtual

Definition at line 2050 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ print()

void octave_swig_ref::print | ( | std::ostream & | os,
|  | bool | pr_as_read_syntax = `false`
| ) |  | const
| inline

Definition at line 2046 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ save_ascii()

virtual bool octave_swig_ref::save_ascii | ( | std::ostream & | os | ) |
| inlinevirtual

Definition at line 2004 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ save_binary()

virtual bool octave_swig_ref::save_binary | ( | std::ostream & | os,
|  | bool & | save_as_floats
| ) |  |
| inlinevirtual

Definition at line 2010 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ scalar_value()

virtual double octave_swig_ref::scalar_value | ( | bool | frc_str_conv = `false` | ) | const
| inlinevirtual

Definition at line 1977 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ string_value()

virtual std::string octave_swig_ref::string_value | ( | bool | force = `false` | ) | const
| inlinevirtual

Definition at line 1974 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ subsasgn()

octave_value octave_swig_ref::subsasgn | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | const octave_value & | rhs
| ) |  |
| inline

Definition at line 1965 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ subsref() [1/2]

virtual octave_value octave_swig_ref::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx
| ) |  |
| inlinevirtual

Definition at line 1959 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ subsref() [2/2]

virtual octave_value_list octave_swig_ref::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | int | nargout
| ) |  |
| inlinevirtual

Definition at line 1962 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Data Documentation

## ◆ DECLARE_OCTAVE_ALLOCATOR

octave_swig_ref::DECLARE_OCTAVE_ALLOCATOR
| private

Definition at line 2062 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA

octave_swig_ref::DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA
| private

Definition at line 2064 of file plplot_octaveOCTAVE_wrap.cxx.

## ◆ ptr

octave_swig_type* octave_swig_ref::ptr
| private

Definition at line 1933 of file plplot_octaveOCTAVE_wrap.cxx.

The documentation for this class was generated from the following file:

- plplot_octaveOCTAVE_wrap.cxx